package ElectricKettle
  annotation(__Wolfram(openClass=ElectricKettle.ExampleModel, useDocumentationTemplate=false), preferredView="info", uses(Modelica(version="3.1")), Documentation(info="<html><!--WSMINSERTIONTAGSTART ElectricKettlePackage -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Electric Kettle: Model Calibration</h1><p class=\"\">
In order to get the full experience of this example, you need the following:
</p><ul><li>Wolfram <span style=\"font-style:italic;\">Mathematica</span>; a free trial download is available at <a href=\"http://www.wolfram.com/mathematica\">www.wolfram.com/mathematica</a></li><li>The <a href=\"ElectricKettle.nb\">ElectricKettle.nb</a> notebook that came in the same bundle as this model</li></ul><div class=\"mathematicapointerwrapper\">
<div class=\"mathematicapointertop\">&nbsp;</div>
<div class=\"mathematicapointerdiv\"><p class=\"mathematicapointer\">
Parts of this example require <span style=\"font-style:italic;\">Mathematica</span>. Open the accompanying notebook <a href=\"ElectricKettle.nb\">ElectricKettle.nb</a> in <span style=\"font-style:italic;\">Mathematica</span> for those scenarios.
</p></div>
</div><a id=\"headerTag_PackageOverview\" class=\"target\">&nbsp;</a>
<h2>Package Overview</h2>
<p class=\"\">
This is a package containing the following models:
</p><ul><li><a href=\"Modelica://ElectricKettle.ExampleModel#diagram\">ExampleModel</a>: model of a controlled electric kettle (<a href=\"Modelica://ElectricKettle.ExampleModel\">show documentation</a>)</li><li><a href=\"Modelica://ElectricKettle.Components#info\">Components</a>: a package containing custom components used in the main model</li></ul><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('1').style.display == 'none'){
document.getElementById('1').style.display = 'block';
document.getElementById('show1').style.display = 'none';
document.getElementById('hide1').style.display = 'inline';
} else {
document.getElementById('1').style.display = 'none';
document.getElementById('show1').style.display = 'inline';
document.getElementById('hide1').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show1\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide1\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"1\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"2\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"3\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND ElectricKettlePackage --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Rectangle(visible=true, lineColor={111,0,0}, fillColor={255,0,0}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=4, extent={{-90.0,-90.0},{90.0,90.0}}, radius=25),Text(visible=true, origin={12.0,20.8333}, fillColor={255,255,255}, fillPattern=FillPattern.Solid, extent={{-102.0,-70.8333},{78.0,29.1667}}, textString="Ex", fontName="Arial")}), Diagram(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})), experiment(StartTime=0.0, StopTime=3600.0, NumberOfIntervals=-1, Algorithm="dassl", Tolerance=0.000001));
  package Components
    model ControlLogic "Controls the reference signal"
      annotation(Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Rectangle(visible=true, fillColor={187,36,95}, fillPattern=FillPattern.Horizontal, extent={{-100.0,-100.0},{100.0,100.0}})}), Diagram(coordinateSystem(extent={{-74.0,-52.5},{74.0,52.5}}, preserveAspectRatio=true, initialScale=0.1, grid={5,5}), graphics));
      Modelica.Blocks.Logical.LogicalSwitch logicalSwitch1 annotation(Placement(visible=true, transformation(origin={60.0,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-1080)));
      Modelica.Blocks.Interfaces.BooleanInput u annotation(Placement(visible=true, transformation(origin={-83.3942,40.0}, extent={{-8.3942,-8.3942},{8.3942,8.3942}}, rotation=-2520), iconTransformation(origin={123.5035,0.0}, extent={{-23.5035,-23.5035},{23.5035,23.5035}}, rotation=-180)));
      Modelica.Blocks.Interfaces.BooleanOutput y1 annotation(Placement(visible=true, transformation(origin={90.0,-0.0}, extent={{-15.9726,-15.9726},{15.9726,15.9726}}, rotation=-1800), iconTransformation(origin={-123.7985,0.0}, extent={{-23.7985,-23.7984},{23.7984,23.7985}}, rotation=-180)));
      Modelica.Blocks.Logical.Not Invert annotation(Placement(visible=true, transformation(origin={0.0,40.0}, extent={{-5.0,-5.0},{5.0,5.0}}, rotation=-360)));
      Modelica.Blocks.Sources.CombiTimeTable TimeTable(tableName="var1", tableOnFile=true, fileName="DocumentationFiles/onofftable.txt") annotation(Placement(visible=true, transformation(origin={-40.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Blocks.Math.RealToBoolean ConvertToBoolean annotation(Placement(visible=true, transformation(origin={-0.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Blocks.Sources.BooleanConstant TrueValue(k=true) annotation(Placement(visible=true, transformation(origin={0.0,-40.0}, extent={{-6.24,-6.24},{6.24,6.24}}, rotation=-1440)));
    equation 
      connect(TimeTable.y[1],ConvertToBoolean.u) annotation(Line(visible=true, origin={-20.5,0.0}, points={{-8.5,0.0},{8.5,0.0}}, color={0,0,127}));
      connect(TrueValue.y,logicalSwitch1.u3) annotation(Line(visible=true, origin={16.216,-24.0}, points={{-9.352,-16.0},{23.784,-16.0},{23.784,16.0},{31.784,16.0}}, color={255,0,255}));
      connect(logicalSwitch1.u1,Invert.y) annotation(Line(visible=true, origin={33.375,24.0}, points={{14.625,-16.0},{6.625,-16.0},{6.625,16.0},{-27.875,16.0}}, color={255,0,255}));
      connect(u,Invert.u) annotation(Line(visible=true, origin={-44.6971,40.0}, points={{-38.6971,0.0},{38.6971,0.0}}, color={255,0,255}));
      connect(logicalSwitch1.y,y1) annotation(Line(visible=true, origin={-61.7573,-22.643}, rotation=-720, points={{132.7573,22.643},{124.6261,22.643},{151.7573,22.643}}, color={255,0,255}));
      connect(logicalSwitch1.u2,ConvertToBoolean.y) annotation(Line(visible=true, origin={29.5,-0.0}, points={{18.5,-0.0},{-18.5,0.0}}, color={255,0,255}));
    end ControlLogic;

    annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART ECComponents -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Electric Kettle: Components</h1><a id=\"headerTag_PackageOverview\" class=\"target\">&nbsp;</a>
<h2>Package Overview</h2>
<p class=\"\">
This package contains custom components used in the <a href=\"Modelica://ElectricKettle.ExampleModel\">main model</a>.
</p><ul></ul><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('7').style.display == 'none'){
document.getElementById('7').style.display = 'block';
document.getElementById('show7').style.display = 'none';
document.getElementById('hide7').style.display = 'inline';
} else {
document.getElementById('7').style.display = 'none';
document.getElementById('show7').style.display = 'inline';
document.getElementById('hide7').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show7\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide7\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"7\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"8\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"9\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND ECComponents --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Rectangle(visible=true, lineColor={191,191,191}, fillColor={255,255,255}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=4, extent={{-90.0,-90.0},{90.0,90.0}}, radius=25)}));
  end Components;

  model ExampleModel
    Modelica.SIunits.Conversions.NonSIunits.Temperature_degC TemperatureInC=Modelica.SIunits.Conversions.to_degC(Water.T);
    annotation(preferredView="info", Documentation(info="<html><!--WSMINSERTIONTAGSTART ElectricKettle -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Electric Kettle: Model Calibration</h1><div class=\"contenttable\">
<span class=\"contenttableheader\">CONTENTS:</span><br/>
<table class=\"contenttabletable\"><tr><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Introduction').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Introduction</a></td><td><a href=\"#\" onClick=\"document.getElementById('headerTag_ModelCalibration').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Model Calibration</a></td></tr><tr><td><a href=\"#\" onClick=\"document.getElementById('headerTag_SimulationAnalysis').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Simulation Analysis</a></td><td></td></tr></table></div><a id=\"headerTag_Introduction\" class=\"target\">&nbsp;</a>
<h2>Introduction</h2>
<p class=\"\">
This is a model of an electric kettle used for heating water. The heating circuit is controlled by a thermostat and a timer.
</p><p class=\"\">
In order to get the full experience of this example, you need the following:
</p><ul><li>Wolfram <span style=\"font-style:italic;\">Mathematica</span>; a free trial download is available at <a href=\"http://www.wolfram.com/mathematica\">www.wolfram.com/mathematica</a></li><li>The <a href=\"ElectricKettle.nb\">ElectricKettle.nb</a> notebook that came in the same bundle as this model</li></ul><div class=\"mathematicapointerwrapper\">
<div class=\"mathematicapointertop\">&nbsp;</div>
<div class=\"mathematicapointerdiv\"><p class=\"mathematicapointer\">
Parts of this example require <span style=\"font-style:italic;\">Mathematica</span>. Open the accompanying notebook <a href=\"ElectricKettle.nb\">ElectricKettle.nb</a> in <span style=\"font-style:italic;\">Mathematica</span> for those scenarios.
</p></div>
</div><a id=\"headerTag_ModelCalibration\" class=\"target\">&nbsp;</a>
<h2>Model Calibration</h2>
<p class=\"\">
Using <span style=\"font-style:italic;\">Mathematica</span>, fit the parameters for the resistor and the heat loss to measurement data.
</p><p class=\"\">
<img src=\"DocumentationFiles/calibration.png\" alt=\"\"/>
</p><a id=\"headerTag_SimulationAnalysis\" class=\"target\">&nbsp;</a>
<h2>Simulation Analysis</h2>
<p class=\"\">
To simulate the system and see a plot of its behavior, follow the steps below:
</p><ul><li>Click the <img src=\"DocumentationFiles/simCenter.png\" alt=\"\"/> button in the top-right corner.</li><li>When the build is finished, click the <span class=\"dialogelement\">Simulate</span> button <img src=\"DocumentationFiles/simulate.png\" alt=\"\"/>.</li><li>Choose the <span class=\"variablename\">TemperatureInC</span> variable: <img src=\"DocumentationFiles/animate.png\" alt=\"\"/>.</li></ul><p class=\"\">
A plot showing the behavior for the system can now be seen:
</p><p class=\"\">
<img src=\"DocumentationFiles/Simulations.png\" alt=\"\"/>
</p><p class=\"\">
The control has a timer that keeps the temperature around 99 &deg;C for 10 minutes.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('4').style.display == 'none'){
document.getElementById('4').style.display = 'block';
document.getElementById('show4').style.display = 'none';
document.getElementById('hide4').style.display = 'inline';
} else {
document.getElementById('4').style.display = 'none';
document.getElementById('show4').style.display = 'inline';
document.getElementById('hide4').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show4\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide4\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"4\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"5\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"6\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND ElectricKettle --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Rectangle(visible=true, lineColor={111,0,0}, fillColor={255,0,0}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=4, extent={{-90.0,-90.0},{90.0,90.0}}, radius=25),Text(visible=true, origin={12.0,20.8333}, fillColor={255,255,255}, fillPattern=FillPattern.Solid, extent={{-102.0,-70.8333},{78.0,29.1667}}, textString="Ex", fontName="Arial")}), Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={5,5}), graphics={Text(visible=true, origin={0.0,95.0}, fillPattern=FillPattern.Solid, extent={{-26.213,-5.0},{26.213,5.0}}, textString="Control logic for timer", fontName="Arial", horizontalAlignment=TextAlignment.Left),Text(visible=true, origin={0.0,-98.6667}, fillPattern=FillPattern.Solid, extent={{-28.913,-6.3333},{28.913,6.3333}}, textString="Heat loss to surrounding", fontName="Arial"),Text(visible=true, origin={-95.0,-51.5604}, fillPattern=FillPattern.Solid, extent={{-20.0,-7.5},{20.0,7.5}}, textString="Heating circuit", fontName="Arial")}), experiment(StartTime=0.0, StopTime=3600.0, NumberOfIntervals=-1, Algorithm="dassl", Tolerance=0.000001));
    Modelica.Thermal.HeatTransfer.Components.BodyRadiation Radiation(Gr=0.1846) annotation(Placement(visible=true, transformation(origin={0.0,-40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Thermal.HeatTransfer.Celsius.TemperatureSensor TemperatureSensor annotation(Placement(visible=true, transformation(origin={80.0,-40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Blocks.Logical.OnOffController OnOffController(bandwidth=0.1) annotation(Placement(visible=true, transformation(origin={120.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-1440)));
    Modelica.Thermal.HeatTransfer.Celsius.FixedTemperature RoomTemperature(T=21) annotation(Placement(visible=true, transformation(origin={-20.0,-80.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    ElectricKettle.Components.ControlLogic controlLogic1 annotation(Placement(visible=true, transformation(origin={0.0,80.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Blocks.Sources.Constant ReferenceLevel(k=99) annotation(Placement(visible=true, transformation(origin={80.0,20.0}, extent={{-5.7128,-5.7128},{5.7128,5.7128}}, rotation=0)));
    Modelica.Electrical.Analog.Ideal.IdealOpeningSwitch OpeningSwitch annotation(Placement(visible=true, transformation(origin={-100.0,39.6743}, extent={{-11.2347,-11.2347},{11.2347,11.2347}}, rotation=0)));
    Modelica.Thermal.HeatTransfer.Components.HeatCapacitor Water(C=1.7*4180, T.start=294.2) annotation(Placement(visible=true, transformation(origin={0.0,40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Electrical.Analog.Basic.Ground Ground annotation(Placement(visible=true, transformation(origin={-140.0,-60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Electrical.Analog.Basic.Resistor Resistor(R=14, useHeatPort=true) annotation(Placement(visible=true, transformation(origin={-60.0,-0.3257}, extent={{10.0,-10.0},{-10.0,10.0}}, rotation=90)));
    Modelica.Electrical.Analog.Sources.SineVoltage SineVoltage(V=240, freqHz=50) "The voltage generator" annotation(Placement(visible=true, transformation(origin={-140.0,-0.3257}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-450)));
  equation 
    connect(Radiation.port_b,RoomTemperature.port) annotation(Line(visible=true, origin={-3.3333,-70.0}, points={{3.3333,20.0},{3.3333,-10.0},{-6.6667,-10.0}}, color={191,0,0}));
    connect(Radiation.port_a,Water.port) annotation(Line(visible=true, origin={10.0,-28.5}, points={{-10.0,-1.5},{-10.0,8.5},{-10.0,23.5},{-10.0,58.5}}, color={191,0,0}));
    connect(OnOffController.y,controlLogic1.u) annotation(Line(visible=true, origin={108.6032,29.1917}, points={{22.3968,-29.1917},{31.3968,-29.1917},{31.3968,50.8083},{-96.2528,50.8083}}, color={255,0,255}));
    connect(TemperatureSensor.port,Water.port) annotation(Line(visible=true, origin={42.5371,-17.1793}, points={{27.4629,-22.8207},{-2.5371,-22.8207},{-2.5371,17.1793},{-42.5371,17.1793},{-42.5371,47.1793}}, color={191,0,0}));
    connect(ReferenceLevel.y,OnOffController.reference) annotation(Line(visible=true, origin={95.8928,12.6436}, points={{-9.6087,7.3564},{4.1072,7.3564},{4.1072,-6.6436},{12.1072,-6.6436}}, color={0,0,127}));
    connect(OnOffController.u,TemperatureSensor.T) annotation(Line(visible=true, origin={103.0,-23.0}, points={{5.0,17.0},{-3.0,17.0},{-3.0,-17.0},{-13.0,-17.0}}, color={0,0,127}));
    connect(OpeningSwitch.n,Resistor.p) annotation(Line(visible=true, origin={-69.5884,29.6743}, points={{-19.1769,10.0},{9.5884,10.0},{9.5884,-20.0}}, color={0,0,255}));
    connect(SineVoltage.p,OpeningSwitch.p) annotation(Line(visible=true, origin={-130.4116,29.6743}, points={{-9.5884,-20.0},{-9.5884,10.0},{19.1769,10.0}}, color={0,0,255}));
    connect(SineVoltage.n,Ground.p) annotation(Line(visible=true, origin={-135.0,-34.3104}, points={{-5.0,23.9847},{-5.0,-7.25},{-5.0,-7.25},{-5.0,-15.6896}}, color={0,0,255}));
    connect(controlLogic1.y1,OpeningSwitch.control) annotation(Line(visible=true, origin={-70.7933,69.1795}, points={{58.4134,10.8205},{-29.2067,10.8205},{-29.2067,-21.6409}}, color={255,0,255}));
    connect(Ground.p,Resistor.n) annotation(Line(visible=true, origin={-89.4064,-48.8058}, points={{-50.5936,-1.1942},{-50.5936,8.8058},{29.4064,8.8058},{29.4064,38.4801}}, color={0,0,255}));
    connect(Resistor.heatPort,Water.port) annotation(Line(visible=true, origin={-16.6667,3.4419}, points={{-33.3333,-3.7676},{16.6667,-3.4419},{16.6667,26.5581}}, color={191,0,0}));
  end ExampleModel;

end ElectricKettle;